body {
font-size: 16px;
font-weight: 400;
background: #fff;
color: #000;
}
a, a:focus {
color: #000;
text-decoration: none;
}
a:hover {
color: #9e8500;
text-decoration: none;
}
body.filters-open::before {
content: "";
position: fixed;
top: 0; left: 0;
width: 100vw; height: 100vh;
background: rgba(0,0,0,0.4);
opacity: 1;
transition: opacity 0.3s;
z-index: 1050;
pointer-events: none; /* يمنع التفاعل مع الخلفية */
}
body::before {
opacity: 0;
pointer-events: none;
transition: opacity 0.3s;
}
body.filters-open main{
pointer-events: none; /* يمنع التفاعل مع الخلفية */
user-select: none;
}
#main-sidebar {
width: 270px;
background: linear-gradient(to left, #222, #333);
}
aside .top {
height: 4rem;
}
main .topbar {
height: 4rem;
padding-right: 1rem;
}
main .topbar .welcome-message {
    display: flex;
    align-items: center;
    gap: 16px;
}
.topbar-sub-menu-wrap {
top: 4rem;
}
.main-container, .main-container-new {
margin: 0 2rem 2rem!important;
}
.card-wrapper, .card-wrapper-new{
background: transparent!important;
border: none!important;
box-shadow: none!important;
padding: 0!important;
margin: 0!important;
}
.horizontal-scroll {
height: 44px;
background: #ddd;
box-shadow: none;
border-radius: 0;
margin: -0 -2rem !important;
margin-bottom: 1.5rem!important;
}
.storys-container{
padding: 0 2rem;
}
.overview-filter {
border-bottom: 0;
}
.overview-filter .title h1 {
font-size: 1.5rem;
font-weight: 400;
line-height: 100%;
color: #000;
white-space: nowrap;
margin-inline-end: 2rem;
}
.overview-filter .title h2 {
font-size: 1.25rem;
font-weight: 400;
line-height: 100%;
color: #000;
white-space: nowrap;
margin-inline-end: 2rem;
}
.card-wrapper .content {
margin-top: 0;
height: auto;
overflow: inherit !important;
}
.form-control {
height: 40px!important;
padding: 3px 6px!important;
border: 1px solid #ccc!important;
font-size: 1rem!important;
color:#000!important;
}
.form-control:focus {
border: 1px solid #000!important;
}
.form-control select {
height: 40px;
 padding: 3px 6px;
}
.form-control.error {
border: 1px solid #ff0000!important;
}
.form-control[disabled], .form-control[readonly], fieldset[disabled] .form-control {
background-color: #eee;
}
select[disabled], select[readonly] {
background-color: #eee;
}
.form-box input {
height: 40px;
padding: 3px 6px;
}
.input-group-btn .btn {
height: 40px!important;
}
.form-group select {
height: 40px;
min-width: 100%;
}
.input-group .form-control {
min-width: 100%;
}
.input-group .d-flex .form-control {
min-width: auto;
}
html[dir="rtl"]  .input-group-addon:first-child {
border-right: 1px solid #ccc !important;
border-left: 0 !important;
border-top-right-radius: 4px !important;
border-bottom-right-radius: 4px !important;
border-top-left-radius: 0px !important;
border-bottom-left-radius: 0px !important;
}
html[dir="rtl"]  .input-group-addon:last-child {
border-left: 1px solid #ccc !important;
border-right: 0 !important;
border-top-left-radius: 4px !important;
border-bottom-left-radius: 4px !important;
border-top-right-radius: 0px !important;
border-bottom-right-radius: 0px !important;
}
html[dir="rtl"]  .input-group select {
border-radius: 0;
}
label div:has(input.input-icheck) {
margin: 0;
}
label:has(input.input-icheck) {
padding: 0;
}
label.error{
position: absolute !important;
display: block;
margin-top: 2px !important;
font-size: 12px !important;
font-weight: normal !important;
background: #ff0000 !important;
color: #fff !important;
border-radius: 4px !important;
padding: 2px 4px !important;
z-index: 1000;
user-select: none;
opacity: 0.9;
}
label.error::after {
content: "";
position: absolute;
left: 10px;
top: -5px;
width: 0;
height: 0;
border-right: 6px solid transparent;
border-bottom: 6px solid #ff0000;
border-left: 6px solid transparent;
user-select: none;
opacity: 0.9;
}
.select2-hidden-accessible + label.error {
position: absolute !important;
display: block;
transform: translateY(40px);
margin-top: 2px !important;
font-size: 12px !important;
font-weight: normal !important;
background: #ff0000 !important;
color: #fff !important;
border-radius: 4px !important;
padding: 2px 4px !important;
z-index: 1000;
user-select: none;
opacity: 0.9;
}
.select2-hidden-accessible + label.error::after {
content: "";
position: absolute;
left: 10px;
top: -5px;
width: 0;
height: 0;
border-right: 6px solid transparent;
border-bottom: 6px solid #ff0000;
border-left: 6px solid transparent;
user-select: none;
opacity: 0.9;
}
.d-flex>label.error{
transform: translateY(40px);
}
.select2-hidden-accessible.error + .select2-container .select2-selection {
border: 1px solid #ff0000 !important;
}
html[dir="rtl"] label.error {
left: auto; right: auto;
}
html[dir="rtl"] label.error::after {
left: auto; right: 10px;
}
.variation_value_table label.error, div.table-responsive  label.error{
display: none!important;
}
.table-responsive .dataTables_wrapper .row.mb-5>div.col-sm-6, .table-responsive .dataTables_wrapper .row.mb-5>div.col-sm-3{
padding:0;
}
html[dir="ltr"] .bi-arrow-left-short,
html[dir="ltr"] .bi-arrow-left-short svg {
display: inline-block;
transform-origin: center;
transform: rotate(180deg) !important;
}
html[dir="rtl"] .bi-arrow-left-short,
html[dir="rtl"] .bi-arrow-left-short svg {
display: inline-block;
transform-origin: center;
transform: rotate(0deg) !important;
}
textarea {
resize: vertical !important;
width: 100% !important;
max-width: 100% !important;
min-height: 40px !important;
max-height: 100px !important;
}
.swal-title{
color:#000;
}
.swal-text {
font-size: 18px;
color: #333;
}
.swal-button--danger, .swal-button--confirm{background-color: #ffd700; color: #000;}
.swal-button--danger:not(:disabled):hover, .swal-button--confirm:not(:disabled):hover{background-color:#ffd700}
.swal-button--danger:active, .swal-button--confirm:active{background-color:#ffd700}
.swal-button--danger:focus, .swal-button--confirm:focus{box-shadow:0 0 0 1px #fff,0 0 0 3px #ffe892}
.swal-footer{
direction: initial;
text-align: center;
}
.swal-icon--warning{
border-color:#ffd700;
-webkit-animation:pulseWarning .75s infinite alternate;
animation:pulseWarning .75s infinite alternate}
.swal-icon--warning__body{
width:5px;height:47px;top:10px;border-radius:2px;margin-left:-2px
}
.swal-icon--warning__body,.swal-icon--warning__dot{
position:absolute;left:50%;background-color:#ffd700
}
.swal-icon--warning__dot{
width:7px;height:7px;border-radius:50%;margin-left:-4px;bottom:-11px
}
@-webkit-keyframes pulseWarning{
0%{border-color:#ffd700}to{border-color:#ffe892}
}
@keyframes pulseWarning{
0%{border-color:#ffd700}to{border-color:#ffe892}
}
.nowrap { white-space: nowrap!important; }
.select2{
display: block;
min-width: 65px;
max-width: 100%;
white-space: nowrap;
overflow: hidden;
text-overflow: ellipsis;
color:#000!important;
font-size:1rem!important;
}
.select2:focus{
min-width: 65px;
max-width: 100%;
white-space: nowrap;
overflow: hidden;
text-overflow: ellipsis;
color:#000!important;
font-size:14px!important;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
color:#000!important;
}
.select2-container .select2-selection--single{
height: 40px;
line-height: 40px;
min-height: 40px;
border: 1px solid #ccc;
}
.select2-container .select2-selection--single:focus{
border: 1px solid #000;
}
.select2-container .select2-selection--multiple{
height: 40px;
min-height: 40px;
overflow: auto;
border: 1px solid #ccc;
}
.select2-container .select2-selection--multiple:focus{
border: 1px solid #000;
}
.select2-container .select2-selection__rendered {
margin-top: 0;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
height: 40px;
line-height: 40px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b {
margin-top: 0;
}
.select2-dropdown {
min-width: 80px;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice {
padding: 3px 6px;
line-height: 15px;
font-size: 15px;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
color: #9e8500;
margin-inline-end: 5px;
}
.modal-header{
background: #ddd;
background: linear-gradient(180deg, #ddd 0%, #eee 100%);
border-radius: 8px 8px 0 0;
border-bottom-color: #ddd;
padding: 20px 15px;
}
.modal-header .close {
margin-top: 0;
opacity: 1;
}
.modal-title {
font-size: 1.25rem;
line-height: 1.25rem;
}
.modal-content {
padding: 0;
}
.modal-footer .btn {
padding: 10px 16px;
font-size: 18px;
line-height: 1.3333333;
border-radius: 6px;
}
.modal-footer .btn-default, .btn-default {
background: #666!important;
width: auto!important;
height: auto!important;
border: solid 1px #444!important;
color: #fff!important;
}
.modal-footer {
border-top-color: #ddd;
text-align: start!important;
}
@media (max-width: 768px) {
.modal-body {
padding: 15px;
}
}
.accordionTitle {
background: #eee;
margin-bottom: 1rem;
padding: 0.75rem 0.75rem;
border-radius: 0.5rem;
font-size: 1rem;
font-weight: bold;
}
.accordionTitle h2 {
color: #000;
font-size: 1rem;
line-height: 150%;
font-weight: bold;
}
.accordionTitle i {
transition: transform 0.5s ease-in;
}
.accordionTitle.is-open i {
transform: rotate(180deg);
}
.accordionAdd{
background: #eee;
color: #000;
margin-bottom: 1rem;
padding: 0.75rem 0.75rem;
border-radius: 0.5rem;
user-select: none;
font-size: 1rem;
font-weight: bold;
}
label, .toggle-wrapper p, .form-box label {
color: #000;
font-weight: bold;
}
.profile-user-img {
width: 100px;
height: 100px;
padding: 3px;
border: 3px solid #ddd;
}
.nav-tabs-custom {
background: transparent;
box-shadow:none;
}
.nav-tabs-custom>.nav-tabs>li>a {
color: #000;
}
.nav-tabs-custom>.nav-tabs>li>a:hover {
color: #666;
border-bottom: 1px solid #ddd!important;
}
.nav-tabs-custom>.nav-tabs>li.active>a:hover {
border-top: 1px solid transparent!important;
border-bottom: 1px solid transparent!important;
}
.nav-tabs-custom>.nav-tabs>li.active:hover>a, .nav-tabs-custom>.nav-tabs>li.active>a {
color: #000;
}
.nav-tabs-custom>.nav-tabs>li.active:hover>a, .nav-tabs-custom>.nav-tabs>li.active>a {
background-color: #fff;
color: #000;
border-inline-start: 1px solid #ddd!important;
border-inline-end: 1px solid #ddd!important;
}
.nav-tabs.nav-justified>.active>a, .nav-tabs.nav-justified>.active>a:focus, .nav-tabs.nav-justified>.active>a:hover {
border-inline-start: 1px solid #ddd;
border-inline-end: 1px solid #ddd;
border-top: 1px solid transparent!important;
border-bottom: 1px solid transparent!important;
}
.nav-tabs-custom>.nav-tabs>li:not(.active) >a:active, .nav-tabs-custom>.nav-tabs>li:not(.active)>a:focus, .nav-tabs-custom>.nav-tabs>li:not(.active)>a:hover {
border-bottom-color: #ddd;
}
.nav-tabs-custom>.tab-content {
border: 1px solid #ddd;
border-top: none;
}
.nav-tabs-custom>.nav-tabs>li.active {
border-top-color:var(--primary-color)!important;
}
.p-0 {
padding:0!important;
}
.m-0 {
margin: 0!important;
}
.mb-5 {
margin-bottom: 5px !important;
}
.mb-15 {
margin-bottom: 15px !important;
}
.mt-15 {
margin-top: 15px !important;
}
.mt-30 {
margin-top: 30px !important;
}
.gap-8{
gap: 8px !important;
}
.border-top-0 {
border-top: none!important;
}
.border-0 {
border: none!important;
}
.border-radius-0 {
border-radius: 0!important;
}
/* تنسيق Label التي تحتوي على نجمة */
label[data-has-star="true"] {
color: #000;
font-weight: bold;
}
/* تنسيق النجمة نفسها داخل Label */
label .required-star {
color: #dc3545 !important;
font-size: 8px !important;
font-weight: 400 !important;
margin-inline-end: 5px !important;
float: inline-start !important;
}
.customer-account-summary{
margin-top: 0;
}
.customer-account-summary .full-summary .details .item span {
font-size: 1rem;
color: #000;
}
.customer-account-summary .full-summary .details .item strong {
font-size: 1rem;
color: #000;
}
.customer-account-summary .full-summary .balance-info .item span {
font-weight: 400;
font-size: 1rem;
color: #000;
}
.roles-list .role-items {
background: #fff;
border: 1px solid #ddd;
border-radius: 8px;
padding: 1rem;
overflow: hidden;
}
.roles-list .role-items .heading h4 {
max-width: 70%;
white-space: nowrap;
overflow: hidden;
text-overflow: ellipsis;
color: #000;
}
.content-new {
background: #fff;
padding: 1rem;
border-radius: 0;
border: 1px solid #ddd;
}
.pos-wrapper .pos-content .pos-table .pos-product-table tbody tr {
border-bottom: 1px solid #ccc;
color: #000;
font-size: 1rem;
}
.pos-wrapper .pos-content .pos-table .pos-product-table td, .pos-wrapper .pos-content .pos-table .pos-product-table th {
padding: 0.25rem 0.25rem;
}
.dropdown-menu {
top: auto;
}
.dropdown-menu > li > a {
color: #000;
}
.dropdown-menu>li>a:hover {
color: #9e8500;
background-color: #fff8dd;
}
.dropdown-menu>li>a:focus {
color: #000;
background-color: #eee;
}
.dropdown-menu>.active>a,.dropdown-menu>.active>a:focus,.dropdown-menu>.active>a:hover {
color: #9e8500;
background-color: #fff8dd;
}
.bg-primary-light  {
background: #fff8dd !important;
}
.bg-blue-light  {
background: #EFF6FF !important;
}
table td, table th {
position: relative;
}
table .open>.dropdown-menu {
display: flex;
}
table tr:nth-last-child(n+11) .open>.dropdown-menu{
display: block;
}
table tr:nth-last-child(-n+2) .dropdown-menu {
bottom: 100% !important;
top: auto !important;
}
ul.dt-button-collection {
background-color: #fff;
padding: 0;
}
ul.dt-button-collection.dropdown-menu>* {
margin: 6px;
}
.dropdown-menu-left {
padding: 6px;
}
.filters {
position: fixed;
top: 0;
right: -270px;
width: 270px;
height: 100%;
background: #fff;
box-shadow: -2px 0 8px rgba(0,0,0,0.1);
transition: right 0.4s cubic-bezier(.4,0,.2,1), opacity 0.3s;
z-index: 1060;
overflow-y: auto;
opacity: 0;
pointer-events: auto; /* يسمح بالتفاعل مع عناصر القائمة */
}
.filters.show {
right: 0;
opacity: 1;
}
.filters-header {
display: flex;
justify-content: space-between;
align-items: center;
padding: 1rem;
border-bottom: 1px solid #eee;
}
.filters-title {
margin: 0;
font-size: 1.25rem;
}
.close-btn {
background: none;
border: none;
font-size: 1.5rem;
cursor: pointer;
padding: 0;
}
.filters-body {
padding: 1rem;
}
.filters .select2-container {
z-index: 2000 !important;
}
.filters .select2-dropdown {
z-index: 2001 !important;
}
.filters .checkbox label, .filters .checkbox div {
margin: 0 !important;
padding: 0 !important;
}
.invoice-empty-wrapper-new {
background: #fff;
padding: 4rem;
}
aside .sidebar .divider span {
font-size: 0.9rem;
}
aside .sidebar .links a h3 {
font-size: 1rem;
}
.overview-filter .filter-new {
gap: 0.5rem;
}
.overview-filter .filter-new a, .overview-filter .filter-new .page-link{
height: 40px;
padding: 0.25rem 0.5rem;
}
.pagination {
user-select: none;
gap: 0;
margin: 0;
}
.pagination>li>a {
font-size: 13px;
padding: 6px 12px;
}
.scroll-max-500{
max-height: 500px;
overflow-y: auto;
}
.overflow-hidden{
overflow: hidden!important;
}
.text-ellipsis{
text-overflow: ellipsis!important;
}
.btn {
border-radius: 4px;
line-height: 1;
}
.btn-default, .btn-primary {
font-size: 14px;
font-weight: 400;
 line-height: 1;
}
.btn-lg {
padding: 10px 16px;
font-size: 18px;
}
.fs-24 {
font-size: 24px!important;
}
input[type=file] {
background: #f2f2f2;
border: 1px solid #ccc;
border-radius: 4px;
padding: 3px 6px !important;
height: 40px;
line-height: 2;
width: 100%;
}
div.file-caption {
display: flex!important; 
align-items: center!important;
}
.invoice-dropdown a, button {
color: #000;
}
.filter-new input, .filter-new select, .filter-new button {
min-width: 66px;
height: 2.5rem!important;
background-color: #ffffff!important;
color: #000!important;
border: 1px solid #ccc!important;
gap: 0.5rem!important;
}
.filter-new > a, .filter-new > button.btn-modal, .filter-new > button.btn-primary {
height: 2.5rem!important;
background-color: var(--primary-color)!important;
color: #000!important;
border: 1px solid #ffc700!important;
padding: 0.75rem 1.5rem;
border-radius: 4px;
}
.filter-new > div > a {
height: 2.5rem!important;
color: #000!important;
border: 1px solid #ffc700!important;
}
.filter-new a {
color: #000!important;
}
.filter-new > .btn-secondary {
background-color: #ffffff !important;
color: #000 !important;
border: 1px solid #ccc !important;
}
.filter-new > .btn-success {
background-color: #00a65a !important;
color: #fff !important;
border: 1px solid #008d4c !important;
}
.filter-new .dropdown {
z-index: auto;
}
.filter-new .dropdown ul {
top: 100%;
padding: 6px;
}
.filter-new .dropdown ul li a, .filter-new .dropdown ul li button {
height: 2.5rem!important;
justify-content: start!important;
border: none!important;
}
.filter-new label {
margin-bottom: 0;
font-weight: 400;
}
.filter-new p {
margin-bottom: 0;
}
.filter-new .select2{
max-width: 200px;
}
.width-500{
width: 500px;
}
.min-width-40 {
min-width: 40px!important;
}
.min-width-70 {
min-width: 70px!important;
}
.min-width-80 {
min-width: 80px!important;
}
.min-width-90 {
min-width: 90px!important;
}
.min-width-120 {
min-width: 120px!important;
}
.max-width-120 {
max-width: 120px!important;
}
.min-width-160 {
min-width: 160px!important;
}
.max-width-160 {
max-width: 160px!important;
}
.min-width-200 {
min-width: 200px!important;
}
.max-width-200 {
max-width: 200px!important;
}
.width-15 {
width: 15px!important;
}
.width-20 {
width: 20px!important;
}
.width-30 {
width: 30px!important;
}
.width-40 {
width: 40px!important;
}
.height-40 {
height: 40px!important;
}
.max-width-100 {
max-width: 100%!important;
}
.checkbox label, .checkbox-inline, .radio label, .radio-inline {
padding-left: initial;
padding-right: 20px;
}
table.dataTable {
margin-top: 0 !important;
}
table.dataTable  tr th, table.dataTable tr td, table  tr th, table tr td{
vertical-align: middle!important;
white-space: nowrap;
}
table.dataTable tbody > tr.selected {
background-color: #fff8dd!important;
color: #9e8500!important;
}
.add-product-price-table th, .bg-green {
background-color: #fff8dd;
color: #000;
}
#pos_table tr td, #pos_table tr th {
padding: 4px;
vertical-align: middle!important;
text-align: center;
white-space: nowrap;
}
.vertical-align-top {
vertical-align: top!important;
}
.vertical-align-center {
vertical-align: center!important;
}
table th.sorting, table th.sorting_asc, table th.sorting_desc {
padding-inline-start: 0.5rem!important;
padding-inline-end: 2.25rem!important;
}
table.dataTable td {
padding-inline-start: 0.5rem!important;
padding-inline-end: 0.5rem!important;
}
.selectable_td{
text-align: center;
}
.filter .btn-primary {
min-width: auto!important;
height: 40px!important;
color: #000!important;
}
.datepicker {
z-index: 1000!important;
}
.datepicker table tr td span.decade {
display: flex;
align-items: center;
justify-content: center;
font-size: 13px;
width: 32.3%;
height: 45px;
margin: 0.5%;
}
.bootstrap-datetimepicker-widget {
min-height: 307px;
z-index: 1000!important;
}
.bootstrap-datetimepicker-widget a:hover{
background: #eee!important;
}
.bootstrap-datetimepicker-widget.dropdown-menu {
width: 18em;
}
html[dir="rtl"]  .datepicker {
direction: rtl!important;
}
html[dir="rtl"]  .timepicker {
direction: ltr!important;
}
.btn-primary, .btn-primary:focus, .btn-primary:hover {
min-width: auto;
height: auto;
background: var(--primary-color) !important;
color: #000 !important;
border: 1px solid #ffc700 !important;
border-radius: 4px;
}
.btn-primary-light {
background: #fff8dd !important;
color: #9e8500 !important;
border: 1px solid #9e8500 !important;
}
.btn-success {
background-color: #00a65a !important;
color: #fff !important;
border: 1px solid #008d4c !important;
}
.btn-danger, .btn-danger:focus, .btn-danger:hover {
background-color: #dc3545 !important;
color: #fff !important;
border: 1px solid #bb2d3b !important;
}
.btn-file, .btn-file:focus, .btn-file:hover {
background: #fff8dd !important;
color: #9e8500 !important;
border: 1px solid #ccc !important;
line-height: 2;
}
.btn-link, .btn-link:focus, .btn-link:hover {
background: #fff!important;
color: #000 !important;
text-decoration: none!important;
}
.pos-wrapper {
background: var(--body-color);
margin: 0;
height: 100vh;
}
.pos-wrapper .pos-content .pos-table {
padding: 0rem 0.95rem;
position: relative;
}
.pos-wrapper #restaurant_module_span .col-sm-3.col-xs-6.col-md-3 {
width: 100% !important;
}
.pos-wrapper .pos-content .selections {
display: flex;
align-items: center;
justify-content: flex-start;
gap: 0.75rem;
margin: 0.5rem 0;
border-bottom: 1px solid #ccc;
padding-right: 1rem;
padding-bottom: 0.5rem;
}
#pos_sidebar {
background: #555;
height: 85vh;
padding: 0rem;
}
#custom_sidebar {
background: #212121;
height: 85vh;
padding: 1rem;
}
#product_list_body {
display: inline-block;
height: 50vh;
max-height: 50vh;
overflow-y: auto;
overflow-x: hidden;
}
#suggestion_page_loader{
position: absolute;
top: 1rem;
left: 1rem;
color: var(--primary-color);
padding: 5px;
}
.select-modifiers-btn {
background: var(--primary-color);
border: 1px solid var(--primary-color);
padding: 0;
font-size: 15px;
border-radius: 50%;
line-height: 30px;
height: 30px;
width: 30px;
}
i.pos_remove_row {
font-size: 1.5rem;
}
.product_box {
background-repeat: no-repeat;
background-position: center;
background-size: cover;
height: 120px;
border: 1px solid #000;
box-shadow: none;
color:#fff;
background-color: rgb(0 0 0 / 50%);
background-blend-mode: color;
display: flex;
justify-content: center;
align-items: center;
}
.product_box:hover {
box-shadow: none;
animation: none;
}
.product_box .text_div {
width: 100%;
margin-top: 0;
}
.product_box .text_div .label-success {
background: #DCFCE7!important;
border-radius: 4px!important;
padding: 0.1rem 1.094rem!important;
color: #166534!important;
font-weight: 400!important;
font-size: 0.9rem!important;
}
.product_box .text_div .label-yellow {
background: #FEF08A!important;
border-radius: 4px!important;
padding: 0.1rem 1.094rem!important;
color: #854D0E!important;
font-weight: 400!important;
font-size: 0.9rem!important;
}
.product_box .text {
display: flex;
align-items: center;
justify-content: center;
-webkit-line-clamp: 3;
line-clamp: 3;
line-height: 1;
height: 50px;
max-height: 50px;
font-size: 17px;
font-weight: bold;
color: #ffd700;
text-shadow: 1px 1px 3px #000;
}
.product_box .text_div div {
overflow: hidden;
white-space: nowrap;
text-overflow: ellipsis;
padding: 0.1rem 1.094rem!important;
font-weight: 400!important;
font-size: 0.9rem!important;
border-radius: 4px!important;
margin-top:3px;
}
.product_box .text_div div.price {
background-color: rgb(0 0 0 / 50%);
background-blend-mode: color;
}
.box {
border: 1px solid #ddd;
border-top: 3px solid #ddd;
}
.box#accordion {
margin-bottom: 0;
}
.dt-buttons.btn-group {
padding: 0!important; margin: 0!important;
}
.dt-buttons.btn-group > .buttons-html5, .dt-buttons.btn-group > .btn:last-child:not(:first-child), .dt-buttons.btn-group > .dropdown-toggle:not(:first-child) {
border: 1px solid #ccc!important;
border-radius: 3px !important;
padding: 5px 10px!important;
margin: 0 0!important;
}
.dt-buttons.btn-group .btn {
display: flex!important; align-items: center!important; height: 35px!important; 
}
.dataTables_length select, .dataTables_filter input {
height: 35px!important; 
}
.table-bordered>tbody>tr>td, .table-bordered>tbody>tr>th, .table-bordered>tfoot>tr>td, .table-bordered>tfoot>tr>th, .table-bordered>thead>tr>td, .table-bordered>thead>tr>th {
border: 1px solid #e8e8e8;
}
.table>caption+thead>tr:first-child>td, .table>caption+thead>tr:first-child>th, .table>colgroup+thead>tr:first-child>td, .table>colgroup+thead>tr:first-child>th, .table>thead:first-child>tr:first-child>td, .table>thead:first-child>tr:first-child>th {
border-top: 1px solid #ddd;
}
table.table-bordered.dataTable td:last-child, table.table-bordered.dataTable th:last-child {
border-right-width: 1px;
border-left-width: 1px;
}
table.table-bordered.dataTable tbody td, table.table-bordered.dataTable tbody th {
border-bottom-width: 1px;
}
.card-wrapper .content .max-table td .btn-group button,  table td .btn-group button{
background: #e8e8e8;
border: 1px solid #ccc;
padding: 3px 6px;
font-size: 13px;
}
.card-wrapper .content .max-table td .btn-group button i, table td .btn-group button i{
line-height: 1.4;
}
.sub-menu-item {
color: #000;
font-size: 1rem;
margin-left: 2rem;
padding: 0.5rem 0;
}
.sub-menu-item.active {
font-weight: bold;
}
.card-wrapper .content .max-table tbody tr {
font-size: 1rem;
}
.card-wrapper .content .max-table thead tr {
font-size: 1rem;
}
.text-start{
text-align: start!important;
}
.text-end{
text-align: end!important;
}
.d-flex{
display: flex !important;
}
.d-block{
display: block !important;
}
.d-inline{
display: inline !important;
}
.d-none{
display: none !important;
}
.justify-content-end{
justify-content: end !important;
}
.justify-content-center{
justify-content: center !important;
}
.justify-content-between{
justify-content: space-between !important;
}
.justify-content-start{
justify-content: start !important;
}
.align-items-center{
align-items: center !important;
}
.align-items-start{
align-items: start !important;
}
.align-items-end{
align-items: end !important;
}
.dataTables_filter label,
.dataTables_length label,
.dataTables_info label,
.dataTables_paginate label {
margin: 0 !important;
}
@media print { 
.bg-info, .bg-yellow, .bg-green {
color: #000 !important;
background-color: #fff !important;
border: 1px solid #000 !important;
}
}
div.pos-tab-menu div.list-group > a:first-child {
border-top-left-radius: 0;
-moz-border-top-left-radius: 0;
border-top-right-radius: 26px;
-moz-border-top-right-radius: 26px;
}
div.pos-tab-menu div.list-group>a.active:after {
right: 100%;
left: auto;
border-left: 0;
border-right: 10px solid var(--primary-color);
}
div.pos-tab-menu div.list-group>a:last-child.active:after {
top: 25%;
}
div.pos-tab-menu div.list-group>a.active, div.pos-tab-menu div.list-group>a.active .glyphicon, div.pos-tab-menu div.list-group>a.active .fa {
color: #000 !important;
}
div.pos-tab-menu div.list-group > a .glyphicon, div.pos-tab-menu div.list-group > a .fa {
color: #777;
}
aside .sidebar .links a.active {
background: #e8e8e8;
color: #000;
border-radius: 0 10px 10px 0;
border-right: 4px solid #ffffff;
margin-block: 0.25rem;
}
aside .sidebar .links a {
margin-left: 0;
padding-right: 1rem;
padding-left: 0;
}
.sidebar .links a:hover, aside .sidebar .links .active .nav-link {
background-color: var(--primary-color);
border-radius: 0 10px 10px 0;
border-right: 4px solid #ffffff;
color: #000;
}
.sidebar .links a:hover .chevron,  aside .sidebar .links .active .nav-link .chevron{
color: #000;
}
.sidebar .links .open a.nav-link {
background-color: var(--primary-color);
border-radius: 0 10px 10px 0;
border-right: 4px solid #ffffff;
color: #000;
}
.sidebar .links .open a.nav-link .chevron {
color: #000;
}
.side-submenu {
margin-right: 20px;
margin-left: 0;
}
.nav-item.toogle-sidebar-submenu.open > .side-submenu::before {
right: 0;
left: auto;
}
.nav-item.toogle-sidebar-submenu.open > .side-submenu a:hover {
margin-left: 1rem;
border-radius: 0.5rem;
background: #212121;
color: #fff;
border: 0;
}
.nav-item.toogle-sidebar-submenu.open > .side-submenu a:hover.active {
background: var(--primary-color);
color: #000;
border-radius: 0 10px 10px 0;
border-right: 4px solid #ffffff;
margin-left: 0;
}
.daterangepicker.opensright:before {
right: auto;
}
.table-section .dataTables_wrapper .row.mb-5{
display:none;
}
.nav-item.toogle-sidebar-submenu {
margin-bottom: 5px;
}
.crm-data-wrapper {
margin-top: 0.5rem;
gap: 0.75rem;
}
.crm-data-wrapper .crm-data-item {
min-height: 87px;
border-radius: 1rem;
}
.crm-data-wrapper .crm-data-item .data-numbers {
margin-top: 0.75rem;
font-size: 14px;
}
.crm-data-wrapper-new {
grid-template-columns: repeat(2, 1fr);
}
.patt-wrap {
z-index: 10;
}
.patt-circ.hovered {
background-color: #cde2f2;
border: none;
}
.patt-circ.hovered .patt-dots {
display: none;
}
.patt-circ.dir {
background-image: url("{{asset('/img/pattern-directionicon-arrow.png')}}");
background-position: center;
background-repeat: no-repeat;
}
.patt-circ.e {
-webkit-transform: rotate(0);
transform: rotate(0);
}
.patt-circ.s-e {
-webkit-transform: rotate(45deg);
transform: rotate(45deg);
}
.patt-circ.s {
-webkit-transform: rotate(90deg);
transform: rotate(90deg);
}
.patt-circ.s-w {
-webkit-transform: rotate(135deg);
transform: rotate(135deg);
}
.patt-circ.w {
-webkit-transform: rotate(180deg);
transform: rotate(180deg);
}
.patt-circ.n-w {
-webkit-transform: rotate(225deg);
 transform: rotate(225deg);
}
.patt-circ.n {
-webkit-transform: rotate(270deg);
transform: rotate(270deg);
}
.patt-circ.n-e {
-webkit-transform: rotate(315deg);
transform: rotate(315deg);
}

main .topbar .top-right {
    gap: 1.5rem;
}
.text-primary {
color: var(--primary-color) !important;
}
.pace-activity {
    display: none !important;
}